<div *ngIf="!formVisible" (click)="showForm()" >
  <span *ngIf="hasValue; else noValue" [title]="placeholder">
    {{value}}
  </span>
  <ng-template #noValue>
    <span class="placeholder">{{placeholder}}</span>
  </ng-template>
</div>
<div *ngIf="formVisible">
  <input type="text" autofocus [(ngModel)]="valueForm" 
  (keyup)="onKeyup($event)" />
</div>
